Additional Info
Type
Package ID
din1031:LoadStandardLanguage
First Created
January 06, 2007, 07:35:19 AM
Last Updated
December 02, 2009, 01:54:58 AM

Load Standard Language v1.0.2

Load english language file before the selected load
Compatible With 1.1.1, 1.1.2, 1.1.3, 1.1.4, 1.1.5, 1.1.6, 1.1.7, 1.1.8, 1.1.9, 1.1.10, 2.0 Beta 3.1 Public, 2.0 Beta 4, 2.0 RC1, 2.0 RC1-1, 2.0 RC1.2, 2.0 RC2, 1.1.11
Latest version v1.0.2
Downloads 35,949
Reviews 0
Rating 0/5
Subscribers 27
License (View License)
Author(s)
This mod load each time the English language files before it load the selected user language.

For what is that good?

If you use for example German as standard language an install a mod it change only the English files this mod load the English files before the German are loaded, so it would at least shown the English txt files so that you can see the text or settings of the mod. (This is only for text not for the pictures, the pictures must be available at least for the language!).

Other good example is for Multi Language forum you can install a mod, and let it work and translate step by step the languages you need :).

A other thing what the mod not remove is the error message if some language file is missing for the language! It would load the english one but would not remove the error, because i think at least this should be made even if it only a copy of the english version.

Example in Picform ;)
Here is the Thank You Mod installed, and the selected language is German, you see there is no menu item ;).


So now i installed the mod, and you see at least the English language information.


The mod have also a option to disable the function if all the language changes are made and the loading of the English language file is not needed any more.

If you install the mod, think that it increase the server load, because it need to include more files. For large forums it could be possible slow down the board.

If you like to donate me some Money. Click Here



Version 1.0.1
!*+- First Release Public


Version 1.0.1 (25.06.07)
- Compatible to SMF 1.1.3


Version 1.0.1 (03.05.08)
- SMF 1.1.5 Compatible


Version 1.0.2 (22.07.08)
- SMF 2.0 Beta 3.1 Compatible
+ Make it more Language Compatible
- Upgrade included ;)



Legend:
! Bugfix
+ New Features
* Changed
- Info Only
Manual installation info
You have to register or login to be able to leave a review
There are currently no reviews on this customization
Advertisement: